
 For each visitor to our Web page,
our Web server automatically recognizes only the consumer's domain
name, but not the e-mail address (where possible).

We collect only the domain name, but not the e-mail address of
visitors to our Web page, aggregate information on what pages
consumers access or visit, information volunteered by the consumer,
such as survey information and/or site registrations.

The information we collect is used for internal review and is
then discarded, used to improve the content of our Web page, not
shared with other organizations for commercial purposes.

With respect to cookies: We use cookies to record session information,
such as items that consumers add to their shopping cart.

If you do not want to receive e-mail from us in the future, please
let us know by sending us e-mail at the above address.

If you supply us with your postal address on-line you will only
receive the information for which you provided us your address.

Persons who supply us with their telephone numbers on-line will
only receive telephone contact from us with information regarding
orders they have placed on-line.
Please provide us with your name and phone number. We will be
sure your name is removed from the list we share with other organizations

With respect to Ad Servers: To try and bring you offers that are
of interest to you, we have relationships with other companies
that we allow to place ads on our Web pages. As a result of your
visit to our site, ad server companies may collect information
such as your domain type, your IP address and clickstream information.
For further information, consult the privacy policies of:
http://www.google.com/privacy.html

From time to time, we may use customer information for new, unanticipated
uses not previously disclosed in our privacy notice. If our information
practices change at some time in the future we will use for these
new purposes only data collected from the time of the policy change
forward .
Customers may prevent their information from being used for purposes
other than those for which it was originally collected by calling
us at the number provided above.

Upon request we provide site visitors with access to all information
[including proprietary information] that we maintain about them,
financial information (e.g., credit card account information)
that we maintain about them, unique identifier information (e.g.,
customer number or password) that we maintain about them, transaction
information (e.g., dates on which customers made purchases, amounts
and types of purchases) that we maintain about them, contact information
(e.g., name, address, phone number) that we maintain about them
.
Consumers can access this information by e-mail us at the above
address.

Upon request we offer visitors the ability to have inaccuracies
corrected in contact information, financial information.
Consumers can have this information corrected by sending us e-mail
at the above address.

With respect to security: When we transfer and receive certain
types of sensitive information such as financial or health information,
we redirect visitors to a secure server and will notify visitors
through a pop-up screen on our site.

If you feel that this site is not following its stated information
policy, you may contact us at the above addresses or phone number.


 

